<style>
  .{{ section.id }}_section{
    background-color: {{ section.settings.bg_color}};
    padding-top: {{ section.settings.padding_top}}px;
    padding-bottom: {{ section.settings.padding_bottom}}px;
    margin-top: {{ section.settings.margin_top}}px;
    margin-bottom: {{ section.settings.margin_bottom}}px;
  }
  .{{ section.id }}_section .container > div{
    border-radius: 20px;
    background-color: {{ section.settings.content_bg_color}};
  }
  .{{ section.id }}_section svg path{
    fill: white
  }
  .{{ section.id }}_section ul.tab-grids{
    display: flex;
    align-items: center;
  }
  .{{ section.id }}_section li.tab-gird{
    flex: 1;
  }
  .{{ section.id }}_section .tab-grid-item {
    color: white;
    display: flex;
    flex-direction: column;
    text-align: center;
    cursor: pointer;
  }
  .{{ section.id }}_section .tab-gird.slide-nav-item {
    border-bottom:1px solid #4b7684;
    height: 140px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;

  }
  .{{ section.id }}_section .tab-gird.slide-nav-item::before{
    content: "";
    height: 3px;
    position: absolute;
    bottom: -2px;
    background:#3cf084;
    left: 0px;
    width:0px;
    z-index: 1;
  }
  .{{ section.id }}_section .tab-gird.slide-nav-item.active::before{
  width: 100%;
  transition: .3s;
  }

  .{{ section.id }}_section .tab-gird.slide-nav-item.active *{
  color: #3cf084;
  }
  .{{ section.id }}_section .tab-gird.slide-nav-item.active svg path{
  fill: #3cf084
  }
  .tab-item {
  display: flex !important;
  padding: 50px 100px;
  }
  .item-content-wrap {
  width: 40%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  }
  h3.item-title {
    font-size: 35px;
    font-family: auto;
    color: white;
    margin-bottom: 20px;
  }
  a.btn.item-button {
  margin-top: 14px;
  }
  .item-video-wrap{
    padding-left: 20px;
  }
  .slick-slide strong{
  margin: 5px 0px;
  }
  .slick-slide img{
  display: inline-block;
  width: 25%;
  }
  p.item-desc {
  font-size: 18px;
  font-weight: 500;
  color: white;
  }
  .accordion-button{
    cursor: pointer;
    position: relative;
    padding: 30px 23px;
    border-bottom: 2px solid white;
    color: white;
    gap: 20px;
    font-size: 24px;
  }
  
  .accordion-button.is-open i{
    transform: translateY(-50%) rotate(180deg);
    transition: all .3s;
  }
  .accordion-content{
    display: none;
    padding: 30px 23px;
    border-bottom: 2px solid white;
  }
  .item-video_video{
    position: relative;
  }
  @media only screen and (max-width : 576px){
    .accordion-button{
      padding: 20px;
    }
   
  }
  @media only screen and (max-width : 999px){
    .{{ section.id }}_section .container > div{
      border-radius: 0px;
    }
    .{{ section.id }}_section .container{
      border-radius: 0px;
      padding: 0px;
    }
    .item-content-wrap{
      padding-left: 20px
    }
  }

</style>

<section id="{{ section.id }}" class="{{ section.id }}_section">
  <div class="video-content-tab" id="{{ section.id }}_wrap">
    <div class="container hide-smart hide-mobile banner-slide">
      <div>
        <div class="tab-girds-wrap">
          <ul class="tab-grids">
            {% for block in section.blocks %}
              <li class="tab-gird slide-nav-item {% if  forloop.index == 1 %} active{% endif %}">
                <div class="tab-grid-item" href="">
                  <span class="grid-item-img">
                    {{ block.settings.tab_icon }}
                  </span>
                  <span class="grid-item-title">
                    {{ block.settings.tab_title }}
                  </span>
                </div>
              </li>
            {% endfor %}
          </ul>
        </div>

        <div class="tab-content-wrap">
          <div class="tab-content">
            {% for block in section.blocks %}
              <div class="tab-item">
                <div class="item-content-wrap width-50  ">
                  <h3 class="item-title">
                    {{ block.settings.content_title }}
                  </h3>
                  <p class="item-desc">
                    {% if block.settings.content_desc_html != blank %}
                      <div class="desc-html">
                        {{ block.settings.content_desc_html }}
                      </div>
                    {% elsif block.settings.content_desc_text != blank %}
                      <span>
                        {{ block.settings.content_desc_text }}
                      </span>
                    {% endif %}
                  </p>
                  <a class="btn item-button" href="{{ block.settings.btn_url }}">{{ block.settings.btn_text }}</a>
                </div>
                <div class="item-video-wrap width-50 d-flex align-item-center justify-content-center">
                  {% if block.settings.svg != blank %}
                    <div class="item-video">
                      {{ block.settings.svg }}
                    </div>
                  {% elsif block.settings.video_url != blank %}
                    <video
                      id="{{ section.id }}_video"
                      class="item-video_video"
                      loop=""
                      playsinline=""
                      muted=""
                      preload="none"
                      controls=""
                    >
                      <source src="{{ block.settings.video_url}}" type="video/mp4">
                    </video>
                  {% elsif block.settings.video != blank %}
                    <video
                      id="{{ section.id }}_video"
                      class="item-video_video"
                      loop=""
                      playsinline=""
                      muted=""
                      preload="none"
                      controls=""
                    >
                      {{ block.setting.video }}
                    </video>
                  {% endif %}
                </div>
              </div>
            {% endfor %}
          </div>
        </div>
      </div>
    </div>
    <div class="container hide-tablet banner-accordion">
      <div class="accordion-wrap">
        {% for block in section.blocks %}
          <div class="accordion-item">
            <div class="accordion-button d-flex justify-content-start align-item-center {% if  forloop.index == 1 %} is-open{% endif %}">
              {{ block.settings.tab_icon }}
              <span class="grid-item-title">
                {{ block.settings.tab_title }}
              </span>
              <i class="arrow">
                <svg width="24" height="11" viewBox="0 0 24 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M12.001 8.92287L2.83697 0H0.000976562L11.2844 11H12.7175L24.001 0H21.165L12.001 8.92287Z" fill="#02825C"></path>
                </svg>
              </i>
            </div>
            <div class="accordion-content">
              <div class="accordion-content-item">
                <div class="item-video-wrap width-smart-100 width-mobile-100 center">
                  {% if block.settings.svg != blank %}
                    <div class="item-video">
                      {{ block.settings.svg }}
                    </div>
                  {% elsif block.settings.video_url != blank %}
                    <video
                      id="{{ section.id }}_video"
                      class="item-video_video"
                      loop=""
                      playsinline=""
                      muted=""
                      preload="none"
                      controls=""
                    >
                      <source src="{{ block.settings.video_url}}" type="video/mp4">
                    </video>
                  {% endif %}
                </div>
                <div class="item-content-wrap width-smart-100 width-mobile-100">
                  <h3 class="item-title">
                    {{ block.settings.content_title }}
                  </h3>
                  <p class="item-desc">
                    {% if block.settings.content_desc_html != blank %}
                      <div class="desc-html">
                        {{ block.settings.content_desc_html }}
                      </div>
                    {% elsif block.settings.content_desc_text != blank %}
                      <span>
                        {{ block.settings.content_desc_text }}
                      </span>
                    {% endif %}
                  </p>
                  <a class="btn item-button" href="{{ block.settings.btn_url }}">{{ block.settings.btn_text }}</a>
                </div>
              </div>
            </div>
          </div>
        {% endfor %}
      </div>
    </div>
  </div>
</section>

{% schema %}
{
  "name": "Banner Slide",
  "settings": [
    {
      "type": "color",
      "id": "bg_color",
      "label": "Background Color"
    },
    {
      "type": "color",
      "id": "content_bg_color",
      "label": "Content background Color"
    },

    {
      "type": "range",
      "id": "margin_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Top",
      "default": 36
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Bottom",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 36
    }
  ],
  "blocks": [
    {
      "name": "Tab Item",
      "type": "tab_item",
      "settings": [
        {
          "type": "header",
          "content": "Tab Item Setting"
        },
        {
          "type": "html",
          "id": "tab_icon",
          "label": "Tab Icon"
        },
        {
          "type": "text",
          "id": "tab_title",
          "label": "Tab Title Text"
        },

        {
          "type": "header",
          "content": "Tab Content Setting"
        },
        {
          "type": "text",
          "id": "content_title",
          "label": "Content Title Text"
        },
        {
          "type": "html",
          "id": "content_desc_html",
          "label": "Description HTML"
        },
        {
          "type": "html",
          "id": "content_desc_text",
          "label": "Description TEXT"
        },
        {
          "type": "text",
          "id": "btn_text",
          "label": "Button Text"
        },
        {
          "type": "url",
          "id": "btn_url",
          "label": "Button Url"
        },
        {
          "type": "html",
          "id": "svg",
          "label": "Video SVG"
        },
        {
          "type": "html",
          "id": "video",
          "label": "Video file"
        },
        {
          "type": "text",
          "id": "video_url",
          "label": "Video Url"
        }
      ]
    }
  ],
  "presets": [
    {
      "name": "Banner Slide"
    }
  ]
}
{% endschema %}
<script>
  $(document).ready(function () {
    let _id = '#' + $('.video-content-tab').attr('id');
    $(_id + ' .slide-nav-item').on('click', function () {
      $(_id + ' .slide-nav-item.active').removeClass('active');
      $(this).addClass('active');
      $(_id + ' .tab-content .slick-active .item-video_video').trigger('pause');
      $(_id + ' .tab-content').slick('slickGoTo', $(this).index());
      $(_id + ' .tab-content .slick-active .item-video_video').trigger('play');
    });
    $(_id + ' .tab-content').on('afterChange', function (event, slick, currentSlide, nextSlide) {});
    $(_id + ' .tab-content').slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      arrows: false,
      fade: true,
    });
    $('#{{ section.id }} .accordion-button.is-open').next().show();
    $('#{{ section.id }} .accordion-button.is-open').next().find('video').trigger('play');
    $(_id + ' .tab-content .slick-active .item-video_video').trigger('play');

    $('#{{ section.id }} .accordion-button').on('click', function () {
      if (!$(this).hasClass('is-open')) {
        $('#{{ section.id }} .accordion-button.is-open').next().slideToggle();
        $('#{{ section.id }} .accordion-button.is-open').next().find('video').trigger('pause');
        $('#{{ section.id }} .accordion-button.is-open').toggleClass('is-open');
      }
      $(this).toggleClass('is-open');
      $(this).next().slideToggle();
      $('#{{ section.id }} .accordion-button.is-open').next().find('video').trigger('play');
    });
  });
</script>
